VisualEditor: [Regression] Inserting a template or reference moves the cursor to the top of the page
Closed, ResolvedPublic

Description

Author: Wikifram

Description:
Version 2013-12-05 (MW 1.23wmf6), implemented at MediaWiki, now for the first time tested apparently (by me)... When you add a reference, the cursor is again positioned at the top of the article, no matter where you insert the reference. The focus (the part you actually see) of the page is where you added the reference, but when you start typing, you are actually adding text to the top of the page. This is confusing as hell.

The same applies when adding a template, but not with media.


Version: unspecified
Severity: critical

bzimport set Reference to bz58090.
bzimport created this task.Via LegacyDec 6 2013, 9:03 AM
Eloquence added a comment.Via ConduitDec 9 2013, 7:02 AM
  • Bug 58194 has been marked as a duplicate of this bug. ***
Eloquence added a comment.Via ConduitDec 9 2013, 9:48 AM

This is actually present in 1.23wmf5 as well.

gerritbot added a comment.Via ConduitDec 9 2013, 10:40 PM

Change 100490 had a related patch set uploaded by Catrope:
Don't move the cursor to the top of the page when closing a dialog

https://gerrit.wikimedia.org/r/100490

gerritbot added a comment.Via ConduitDec 9 2013, 11:20 PM

Change 100496 had a related patch set uploaded by Jforrester:
Don't move the cursor to the top of the page after closing a dialog

https://gerrit.wikimedia.org/r/100496

gerritbot added a comment.Via ConduitDec 9 2013, 11:21 PM

Change 100490 merged by jenkins-bot:
Don't move the cursor to the top of the page after closing a dialog

https://gerrit.wikimedia.org/r/100490

gerritbot added a comment.Via ConduitDec 9 2013, 11:48 PM

Change 100496 merged by jenkins-bot:
Don't move the cursor to the top of the page after closing a dialog

https://gerrit.wikimedia.org/r/100496

Jdforrester-WMF added a comment.Via ConduitDec 9 2013, 11:57 PM

A fix for this for wmf6 is going out in about 4 minutes' time; fixing it for wmf5 would involve back-porting half of wmf6, and is too risky. Sorry for the disruption.

Jdforrester-WMF added a comment.Via ConduitDec 11 2013, 11:46 PM
  • Bug 57438 has been marked as a duplicate of this bug. ***
Ryasmeen added a comment.Via ConduitDec 11 2013, 11:46 PM

Verified on betalabs

Catrope added a comment.Via ConduitMar 12 2014, 9:19 PM
  • Bug 57034 has been marked as a duplicate of this bug. ***

Add Comment